### Method

# Fwupd Release get_locations

#### Declaration [src]

    GPtrArray*
    fwupd_release_get_locations (
      FwupdRelease* self
    )

#### Description [src]

Gets the update URI, i.e. where you can download the firmware from.

Typically the first URI will be the main HTTP mirror, but all URIs may not be valid HTTP URIs. For example, “ipns://QmSrPmba” is valid here.

Available since: | 1.5.6

#### Return value

Returns: | An array of `utf8`
| The URIs.
| The data is owned by the instance.
| Each element is a NUL terminated UTF-8 string.